# std::shared_lock::lock

From cppreference.com
< cpp‎ | thread‎ | shared lock

void lock(); |  | (since C++14)

Locks the associated mutex in shared mode. Effectively calls mutex()->lock_shared().

### Parameters

(none)

### Return value

(none)

### Exceptions

- Any exceptions thrown by mutex()->lock_shared()

- If there is no associated mutex, std::system_error with an error code of std::errc::operation_not_permitted

- If the associated mutex is already locked by this `shared_lock` (that is, owns_lock returns `true`), std::system_error with an error code of std::errc::resource_deadlock_would_occur

### Example

| This section is incomplete Reason: no example

### See also

try_lock | tries to lock the associated mutex (public member function)
unlock | unlocks the associated mutex (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/lock&oldid=79453"
Category:

- Todo no example